COMMON sgcode$, atten$, sgen$, ch$, ctr$
'GOTO noprompt
'PRINT sgcode$; atten$, sgen$, ch$, ctr$

GOTO main

title:
CLS
SCREEN 8
COLOR 1, 1

LOCATE 2, 20
COLOR 12
PRINT "GPR  Test  Program"
LINE (150, 17)-(300, 19), , B

LOCATE 3, 2

LINE (1, 165)-(638, 166), 12, BF
RETURN

main:
GOSUB title
LOCATE 5, 5
COLOR 11
PRINT "Terminate GPR input with 50 ê"

GOSUB gpr
GOSUB comp
GOSUB atts
GOSUB siggen
GOSUB space

noprompt:
CHAIN "c:\qb\gpr\noise"



END
space:
LOCATE 23, 15
COLOR 10
PRINT "Press SPACE to continue"
k = 1
k$ = "x"
DO
  IF k < 4 THEN BEEP
  k = k + 1
  IF k = 1500 THEN k = 1
  k$ = INKEY$
LOOP UNTIL k$ = " "
LOCATE 23, 15
PRINT "                                      "

RETURN


siggen:
COLOR 13
LOCATE 15, 6
PRINT "Signal Generator"

LINE (5, 158)-(200, 120), 10, B
LINE (20, 125)-(170, 130), 7, BF
CIRCLE (180, 140), 7, 7
CIRCLE (35, 140), 15, 7
RETURN

atts:
LOCATE 8, 11
COLOR 13
PRINT "Attenuators"

LINE (75, 98)-(200, 70), 10, B
LINE (120, 75)-(160, 80), 7, BF
CIRCLE (100, 90), 7, 7
CIRCLE (175, 90), 7, 7
RETURN

comp:
LINE (450, 158)-(600, 140), 10, B
LINE (450, 138)-(600, 100), 10, B
LINE (470, 130)-(570, 105), 7, BF
LOCATE 12, 60
COLOR 13
PRINT "Computer"
RETURN

gpr:
LOCATE 16, 36
COLOR 13
PRINT "GPR"

LINE (275, 158)-(400, 130), 10, B
LINE (310, 138)-(360, 148), 7, BF
CIRCLE (380, 140), 10, 7
CIRCLE (370, 150), 3, 7
CIRCLE (390, 150), 3, 7
CIRCLE (285, 135), 3, 7
CIRCLE (285, 140), 3, 7
CIRCLE (285, 145), 3, 7
CIRCLE (285, 150), 3, 7

RETURN




